<?php
/**
  * Ahead WebSoft Technologies Pvt Ltd.
  * @copyright  Copyright 2006-2026 Ahead WebSoft Technologies Pvt Ltd.
  * @license    https://www.socialengine.com/policies
*/
class Core_Widget_MenuSocialSitesController extends Engine_Content_Widget_Abstract
{
  public function indexAction()
  {
    $this->view->navigation = $navigation = Engine_Api::_()
      ->getApi('menus', 'core')
      ->getNavigation('core_social_sites');
    if( engine_count($this->view->navigation) == 0 ) {
      return $this->setNoRender();
    }
  }

  public function getCacheKey()
  {
    return 'core_social_sites';
  }
}
